
// dtext.hh [demo]

class TextDialog : public UDialog {
public:
  URadioSelect selectedMark;
  UVbox marge;
  UTextbox body;
  UStr  mess, xpos, ypos, fontname, colorname, menuMess;
  UFont myfont;
  UBgcolor mycolor;
  UScale scale;

  TextDialog();
  void addMark(UStr*, int y);
  void clickOnText(UEvent&);
  void listMarks(UEvent&);
  void delMark(UEvent&);
  void setFont(UEvent&, UFont*);
  void setColor(UEvent&, UColor *c);
  void setScale(int, UStr*);
};


class TextMark : public UHbox {
public:
  int no;
  UStr *markstr;
  TextDialog *tdial;
  TextMark(TextDialog*, u_pos x, u_pos y, 
	   UStr *begin_s, UStr* marked_s, UStr *remaining_s);
  virtual ~TextMark();
  void clickOnMark(UEvent&);
};

